Name:           teckit
Version:        2.5.9
Release:        1
Summary:        A library and compiler for mapping and transposition
License:        LGPLv2+ or CPL
URL:            https://github.com/silnrsi/teckit
Source0:        https://github.com/silnrsi/teckit/releases/download/v%{version}/teckit-%{version}.tar.gz
BuildRequires:  expat-devel zlib-devel libtool gcc-c++ chrpath
Patch0000:      TECkit_2_5_1-includes.patch
%description
Resort to this library dedicated to encoding conversions and make sure
the development and testing of mapping tables raises no issues whatsoever.

%package devel
Summary:        Libraries and header files for developing applications that use teckit
Requires:       %{name} = %{version}-%{release}

%description devel
Libraries and header files for developing applications that use teckit.

%package help
Summary:        Help documents for teckit package

%description help
Help documents for teckit package.

%prep
%autosetup -n %{name}-%{version} -p1

rm -r zlib*

%build
%configure --disable-static
%make_build V=1

%install
%make_install
%delete_la
chrpath -d %{buildroot}%{_bindir}/*

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files
%license COPYING AUTHORS
%license license/{LICENSING.txt,License_CPLv05.txt,License_LGPLv21.txt}
%{_bindir}/{sfconv,teckit_compile,txtconv}
%{_libdir}/{libTECkit.so.*,libTECkit_Compiler.so.*}

%files devel
%{_includedir}/teckit/
%{_libdir}/{libTECkit.so,libTECkit_Compiler.so,pkgconfig/teckit.pc}

%files help
%doc INSTALL NEWS README
%doc docs/*.pdf
%{_mandir}/man1/*

%changelog
* Thu Oct 20 2022 caodongxia <caodongxia@h-partners.com> - 2.5.9-1
- Upgrade to version 2.5.9

* Thu Sep 09 2021 sunguoshuai <sunguoshuai@huawei.com> - 2.5.7-6
- del rpath in some binaries

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 2.5.7-5
- Completing build dependencies to fix gcc-c++ compiler missing error

* Thu Oct 22 2020 caodongxia <caodongxia@huawei.com> - 2.5.7-4
- fix build failure and modify url

* Thu Dec 12 2019 wutao <wutao61@huawei.com> - 2.5.7-3
- Package init
